## org.hibernate.engine.query.sql
Class NativeSQLQuerySpecification

    java.lang.Object
      org.hibernate.engine.query.sql.NativeSQLQuerySpecification

    public class NativeSQLQuerySpecification

extends Object

Defines the specification or blue-print for a native-sql query. Essentially a simple struct containing the information needed to "translate" a native-sql query and cache that translated representation. Also used as the key by which the native-sql query plans are cached.

Author:
  Steve Ebersole

Constructor Summary
`NativeSQLQuerySpecification(String queryString, NativeSQLQueryReturn[] queryReturns, Collection querySpaces)`

Method Summary
`boolean` `equals(Object o)`
`NativeSQLQueryReturn[]` `getQueryReturns()`
`Set` `getQuerySpaces()`
`String` `getQueryString()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQuerySpecification

    public NativeSQLQuerySpecification(String queryString,
                                       NativeSQLQueryReturn[] queryReturns,
                                       Collection querySpaces)

Method Detail

### getQueryString

    public String getQueryString()

### getQueryReturns

    public NativeSQLQueryReturn[] getQueryReturns()

### getQuerySpaces

    public Set getQuerySpaces()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.